locked
Installing Ajax v15 RRS feed

  • Question

  • User-373571878 posted

    Hello,

    I am about to install Ajax V15 for my Visual Studio 2012, then the wizard stated something that has me concerned.

    I also have Visual Studio 2008 on my PC with lots of applications built on that platform.

    The wizard states: 'Dev Express installation wizard will detect all versions of Microsoft Visual Studio on this computer and will install ASP.Net Ajax control toolkit VSIX PAckage for each version it locates.'

    Is this going to change/corrupt my VS 2008 applications?

    Thanks

    Tuesday, March 15, 2016 3:37 PM

Answers

  • User61956409 posted

    Hi Mike,

    You could check the version of AJAX Control Toolkit you are using now. In this way, you could switch to the old version if upgrading to v15.

    The wizard states: 'Dev Express installation wizard will detect all versions of Microsoft Visual Studio on this computer and will install ASP.Net Ajax control toolkit VSIX PAckage for each version it locates.'

    Is this going to change/corrupt my VS 2008 applications?

    It will change the AJAX Control Toolkit version on local and integrate in Visual Studio. And new version is different from old version AJAX Control Toolkit, you need to follow tutorial to modify your project.

    https://ajaxcontroltoolkit.codeplex.com/wikipage?title=Upgrade%20your%20project%20to%20AjaxControlToolkit%20v15.1&referringTitle=Documentation

    Besides, v15 is supported with Visual Studio 2010 and higher.

    Best Regards,

    Fei Han

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Wednesday, March 16, 2016 2:38 AM

All replies

  • User61956409 posted

    Hi Mike,

    You could check the version of AJAX Control Toolkit you are using now. In this way, you could switch to the old version if upgrading to v15.

    The wizard states: 'Dev Express installation wizard will detect all versions of Microsoft Visual Studio on this computer and will install ASP.Net Ajax control toolkit VSIX PAckage for each version it locates.'

    Is this going to change/corrupt my VS 2008 applications?

    It will change the AJAX Control Toolkit version on local and integrate in Visual Studio. And new version is different from old version AJAX Control Toolkit, you need to follow tutorial to modify your project.

    https://ajaxcontroltoolkit.codeplex.com/wikipage?title=Upgrade%20your%20project%20to%20AjaxControlToolkit%20v15.1&referringTitle=Documentation

    Besides, v15 is supported with Visual Studio 2010 and higher.

    Best Regards,

    Fei Han

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Wednesday, March 16, 2016 2:38 AM
  • User-373571878 posted

    Thanks for your reply Fei Han,

    I am still uncertain of your answer.

    So I would like to upgrade my VS 2012 with Ajax v15 which I can upgrade via your link.

    But because I also have VS2008 on my PC (framework 3.5),  I do not want my VS 2008 programs to change, I want to keep the Ajax 3.5 that is on there.

    v15 only applies to Framework 4.0 and above.  So with this fact can I be sure that it will not try and upgrade my VS 2008 applications?

    Thank you

    Wednesday, March 16, 2016 1:51 PM
  • User61956409 posted

    Hi Mike,

    You could try to upgrade to v15 and test whether it will cause your old application not working. Besides, if it changes my VS 2008 applications, you could manually reinstall old AJAX Control Toolkit in VS 2008.

    http://www.aspsnippets.com/Articles/Install-AJAX-Control-Toolkit-in-Visual-Studio-ToolBox.aspx

    Best Regards,

    Fei Han

    Friday, March 18, 2016 7:43 AM